Re: [Tracker] ANNOUNCE: tracker 0.7.0 released

On Sun, Sep 27, 2009 at 21:31, Jamie
McCracken<jamie mccrack googlemail com> wrote:
you need at least vala 0.7.5 or later as well to build from git

Am having that problem with that version of vala.

On Sat, 2009-09-26 at 14:18 +0200, Laurent Aguerreche wrote:
Le vendredi 25 septembre 2009 Ã 21:58 +0200, Michael Biebl a Ãcrit :
2009/9/25 Martyn Russell <martyn lanedo com>:

tracker 0.7.0 is now available for download from:

If you are getting libgee related build failures (as I did), this is
because the vala generated source files were built against an old
version of libgee.
It then helps to "rm src/*/*.vala.stamp" and rerun make. In that case
though you need valac installed.

I don't know if my problem is related to libgee but I can't build

[tracker-search-tool]$ make
/usr/bin/valac -C -g --pkg dbus-glib-1 --pkg gee-1.0 --pkg gtk+-2.0 warning: `null' incompatible with return
type `string[,]`
    return null
    ^^^^^^^^^^^^^^^^ error: Argument 1: Cannot pass
out argument to non-output parameter
        info.get_modification_time (out tm)
Compilation failed: 1 error(s), 1 warning(s)
make: *** [] Error 1

I have the following packages on a Fedora 11 64 bits:
$ rpm -qa | grep gee

$ rpm -qa | grep vala

Any idea?



tracker-list mailing list
tracker-list gnome org

tracker-list mailing list
tracker-list gnome org

my place on the web:

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]